]> git.meshlink.io Git - meshlink/blobdiff - test/blackbox/util/lxc_run.sh
Add the blackbox container based test suite.
[meshlink] / test / blackbox / util / lxc_run.sh
diff --git a/test/blackbox/util/lxc_run.sh b/test/blackbox/util/lxc_run.sh
new file mode 100755 (executable)
index 0000000..4a2456e
--- /dev/null
@@ -0,0 +1,26 @@
+#!/bin/sh
+#    lxc_run.sh - Script to run a command inside an LXC Container
+#                Designed to work on unprivileged Containers
+#    Copyright (C) 2018  Guus Sliepen <guus@meshlink.io>
+#
+#    This program is free software; you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation; either version 2 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License along
+#    with this program; if not, write to the Free Software Foundation, Inc.,
+#    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+# Read command-line arguments
+cmd=${1}
+containername=${2}
+
+# Run command inside Container by attaching to the Container and sending it the command
+echo "${cmd}" | lxc-attach -n ${containername} --
+exit $?